View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006595ParaView(No Category)public2008-03-12 18:252009-05-13 13:59
ReporterBerk Geveci 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMacBook ProOSOS XOS Version10.5
Product Version 
Target Version3.4Fixed in Version3.4 
Summary0006595: Custom filter of programmable filter causes issues
DescriptionI created a programmable filter and put it in a custom filter. When I exit paraview and restart, I get errors about parsing the xml. I am attaching the ini file that causes the problem
TagsNo tags attached.
Project
Topic Name
Type
Attached Files? file icon ParaView3.3.ini [^] (10,528 bytes) 2008-03-12 18:25

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0011009)
Utkarsh Ayachit (administrator)
2008-04-01 09:18

vtkSMStringVectorProperty addded attributes to
vtkPVXMLElement when saving state using "AddSanitizedValue". It assumed that
when the state is reloaded, the string value will need to be unsanitized.
However, the expat parser unsanitized string by default. So when a
vtkPVXMLElement as saved to a file and then reloaded, it would automatically
loose all sanitization. Now if the vtkPVXMLElement was saved to file again, all
the strings would be unsanitized.

Hence if a custom filter with programmable filter and some funky script was
created, then the first time paraview exited, everything was peachy. The second
time it exists, it saves invalid XML in the session file. Consequently, the
third time paraview was started, it would complain!

Fixed by getting rid of "SanitizedAttribute" API. Instead, vtkPVXMLElement
always saves all attributes sanitized. Hence SetAttribute/GetAttribute never has
to worry about sanitization.


/cvsroot/ParaView3/ParaView3/Qt/Components/pqLookmarkModel.cxx,v <-- Qt/Components/pqLookmarkModel.cxx
new revision: 1.15; previous revision: 1.14
/cvsroot/ParaView3/ParaView3/Servers/Common/vtkPVXMLElement.cxx,v <-- Servers/Common/vtkPVXMLElement.cxx
new revision: 1.20; previous revision: 1.19
/cvsroot/ParaView3/ParaView3/Servers/Common/vtkPVXMLElement.h,v <-- Servers/Common/vtkPVXMLElement.h
new revision: 1.16; previous revision: 1.15
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMStringVectorProperty.cxx,v <-- Servers/ServerManager/vtkSMStringVectorProperty.cxx
new revision: 1.35; previous revision: 1.34

- Issue History
Date Modified Username Field Change
2008-03-12 18:25 Berk Geveci New Issue
2008-03-12 18:25 Berk Geveci File Added: ParaView3.3.ini
2008-04-01 09:03 Utkarsh Ayachit Status backlog => tabled
2008-04-01 09:03 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2008-04-01 09:18 Utkarsh Ayachit Status tabled => @80@
2008-04-01 09:18 Utkarsh Ayachit Resolution open => fixed
2008-04-01 09:18 Utkarsh Ayachit Note Added: 0011009
2008-04-02 18:43 Alan Scott Status @80@ => closed
2009-05-13 13:58 Utkarsh Ayachit Target Version Custom filters => 3.4
2009-05-13 13:59 Utkarsh Ayachit Fixed in Version => 3.4
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker